<?php

declare(strict_types=1);

use yii;

use app\models\Product;
use app\models\Supply;
use app\models\AccountEdgeSupply;
use app\models\SupplyEdgeProduct;

?>
<div class="col py-3 rounded">
    <div class="row px-3">
        <p class="mb-2 w-100 d-flex"><b>Договор: </b><span class="ml-auto"><?= yii::$app->user->identity->_key ?></span></p>
        <p class="mb-2 w-100 d-flex"><b>Статус: </b><span class="ml-auto"><?= yii::$app->user->identity->statusLabel() ?></span></p>
        <p class="w-100 d-flex"><b>Почта: </b><span class="ml-auto"><?= yii::$app->user->identity->mail ?></span></p>
    </div>
    <div class="dropdown-divider my-3"></div>
    <dl class="m-0">
        <?php
        if (
            !yii::$app->user->isGuest
            && (yii::$app->user->identity->type === 'administrator'
                || yii::$app->user->identity->type === 'moderator')
        ) {
            // Пользователь является доверенным

            // Инициализация
            $targetUrl = '/profile/panel';

            if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                // Запрошена та же страница от которой послан запрос (текущая)

                echo <<<HTML
                <dt>
                    <a class="row text-dark button_white hover px-3 py-3 py-lg-2 font-weight-normal" title="Панель управления сайтом" href="$targetUrl" role="button" onclick="return false;"><i class="fas fa-user-shield my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Панель управления</span></a>
                </dt>
                HTML;
            } else {
                echo <<<HTML
                <dt>
                    <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" title="Панель управления сайтом" href="$targetUrl" role="button" onclick="return page_profile_panel_settings();"><i class="fas fa-user-shield my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Панель управления</span></a>
                </dt>
                HTML;
            }
        }
        ?>
        <dt>
            <?php
            if (yii::$app->user->identity->agnt) {
                if (
                    '/' . yii::$app->request->pathInfo === $targetUrl = '/profile/supplies'
                    || '/' . yii::$app->request->pathInfo === $targetUrl = '/profile/import'
                ) {
                    // Запрошена та же страница от которой послан запрос (текущая)

                    echo <<<HTML
                        <a class="row text-dark button_white hover px-3 py-3 py-lg-2 font-weight-normal" title="Управление поставками" href="$targetUrl" role="button" onclick="return false;"><i class="fas fa-truck my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Поставки</span></a>
                    HTML;
                } else {
                    echo <<<HTML
                        <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" title="Управление поставками" href="$targetUrl" role="button" onclick="return page_profile_supplies();"><i class="fas fa-truck my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Поставки</span></a>
                    HTML;
                }
            }
            ?>
        </dt>
        <dt>
            <?php
            // Инициализация
            $targetUrl = '/profile/monitoring';

            if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                // Запрошена та же страница от которой послан запрос (текущая)

                echo <<<HTML
                        <a class="row text-dark button_white hover px-3 py-3 py-lg-2 font-weight-normal" title="Мониторинг и журналирование" href="$targetUrl" role="button" onclick="return false;"><i class="fas fa-eye my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Мониторинг</span></a>
                    HTML;
            } else {
                echo <<<HTML
                        <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" title="Мониторинг и журналирование" href="$targetUrl" role="button" onclick="return page_profile_monitoring();"><i class="fas fa-eye my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Мониторинг</span></a>
                    HTML;
            }
            ?>
        </dt>
        <dt>
            <?php
            // Инициализация
            $targetUrl = '/profile';

            if ('/' . yii::$app->request->pathInfo === $targetUrl) {
                // Запрошена та же страница от которой послан запрос (текущая)

                echo <<<HTML
                        <a class="row text-dark button_white hover px-3 py-3 py-lg-2 font-weight-normal" title="Настройки аккаунта" href="$targetUrl" role="button" onclick="return false;"><i class="fas fa-sliders-h my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Настройки</span></a>
                    HTML;
            } else {
                echo <<<HTML
                        <a class="row text-dark button_white px-3 py-3 py-lg-2 font-weight-normal" title="Настройки аккаунта" href="$targetUrl" role="button" onclick="return page_profile_settings();"><i class="fas fa-sliders-h my-auto mx-auto mx-lg-0 col-1 pl-0 mr-lg-2"></i><span>Настройки</span></a>
                    HTML;
            }
            ?>
        </dt>
    </dl>
    <?php if (yii::$app->user->identity->agnt) : ?>
        <div class="dropdown-divider my-3"></div>
        <div class="row px-3">
            <p class="ml-0">Загрузок с аккаунта:</p>
            <p class="mr-0"><?= AccountEdgeSupply::readAmount() ?>
            </p>
        </div>
        <div class="row px-3">
            <p class="ml-0">Товары:</p>
            <p class="mr-0"><?= Product::readAmount() ?></p>
        </div>
        <div class="row px-3">
            <p class="ml-0">Поставки:</p>
            <p class="mr-0"><?= Supply::readAmount() ?></p>
        </div>
        <div class="row px-3">
            <p class="ml-0">Связано поставок:</p>
            <p class="mr-0"><?= SupplyEdgeProduct::readAmount() ?></p>
        </div>
    <?php endif ?>
</div>
