<?php

declare(strict_types=1);

use yii\helpers\Html;

use app\assets\AppAsset;

AppAsset::register($this);

?>

<?php $this->beginPage() ?>

<!DOCTYPE html>
<html lang="<?= yii::$app->language ?>">

<head>
    <meta charset="<?= yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link href="/css/pages/suppliers.css" rel="stylesheet">
    <link rel="apple-touch-icon" sizes="57x57" href="/favicons/apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" href="/favicons/apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" href="/favicons/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" href="/favicons/apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" href="/favicons/apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" href="/favicons/apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144" href="/favicons/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" href="/favicons/apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" href="/favicons/apple-icon-180x180.png">
    <link rel="icon" type="image/png" sizes="192x192" href="/favicons/android-icon-192x192.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicons/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/favicons/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicons/favicon-16x16.png">
    <link rel="manifest" href="/favicons/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileImage" content="/favicons/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">


    <?php $this->registerCsrfMetaTags() ?>

    <title><?= Html::encode($this->title ?? 'Поставщикам | SkillParts') ?></title>

    <?php $this->head() ?>
</head>

<body class="d-flex flex-column">
    <?php $this->beginBody() ?>

    <header class="container pt-2 mt-1 mb-2 mb-sm-4">
        <div class="row row h-100">
            <div id="logo" class="col-3 col-md-4 h-100">
                <a class="py-2 h-100 d-inline-flex" title="SkillParts" href="/">
                    <img class="img-fluid" src="/img/logos/skillparts.svg" alt="SkillParts">
                </a>
            </div>
            <div class="col-3 mt-auto ml-auto d-flex justify-content-end">
                <a class="py-2 h-100 d-inline-flex text-dark" href="/authentication">Вход в кабинет поставщика</a>
            </div>
        </div>
    </header>

    <main id="page_suppliers" class="container pb-5 flex-grow-1 d-flex justify-content-center">
        <article class="col my-auto p-3 px-0 rounded overflow-hidden">
            <h1 class="py-3 mt-2 mb-5 text-center"><b>Преимущества наших партнёров</b></h1>
            <div class="row mb-5 px-3 pb-3">
                <div class="col-4">
                    <img class="px-5 img-fluid" src="/img/icons/brain.png" title="Современный инструмент"/>
                    <h5 class="text-center"><b>Современный инструмент</b></h5>
                    <p class="text-center"><small>Не требует дополнительного штата сотрудников</small></p>
                </div>
                <div class="col-4">
                    <img class="px-5 img-fluid" src="/img/icons/map.png" title="Расширение географии"/>
                    <h5 class="text-center"><b>Расширение географии</b></h5>
                    <p class="text-center"><small>Тысячи клиентов по всей России</small></p>
                </div>
                <div class="col-4">
                    <img class="px-5 img-fluid" src="/img/icons/shield.png" title="Безопасный расчёт"/>
                    <h5 class="text-center"><b>Безопасный расчёт</b></h5>
                    <p class="text-center"><small>В течение 5-7 банковских дней</small></p>
                </div>
            </div>
            <div class="row px-3 pb-3 justify-content-center">
                <div class="d-flex flex-column mr-4 text-center">
                    <a class="mb-1 text-center text-whitw btn button_blue button_clean" href="/suppliers/request">Присоединиться</a>
                    <small>Ответ в течение суток</small>
                </div>
                <a class="text-center text-white btn button_blue button_offer_supplier button_clean" href="/offer/suppliers">Оферта</a>
            </div>
        </article>
    </main>

    <?php $this->endBody() ?>
</body>

</html>

<?php $this->endPage() ?>
